Subject: bug#9803: [PATCH] Add ERT option to skip test

From: Stefan Monnier <[email-masked]>
Date: Mon, 21 Oct 2013 12:53:14 -0400

> Well, I've made a change to call (fset 'skip-if 'ert--skip-if) in
> ert--run-test-internal. After running the test, it is reverted by
> (unintern 'skip-if nil).

Yuck!

> Therefore, `skip-if' is visible only inside tests defined with
> `ert-deftest'.

Not "inside" but "during".  I.e. it can still affect any code run during
the tests.

> If this is acceptable, I could apply this change also for
> `should', `should-not' and `should-error'.

No, better leave them as always-global.

> I've tried to change it as proposed by Stefan, but I'm too stupid to
> manage all this sophisticated cl-* stuff :-(

What have you tried and how did it fail?

        Stefan